## wesnoth-1.10 1.10.3

=== CMakeLists.txt ===
# most stuff should be implemented so far, what is not working so far:
# * some other smaller stuff
# * nice INSTALL howto
# * Detect Python and install Python tools
# * Rewrite the po4a-update
# * Test everything
# * install .desktop files taking binary prefix and suffix into account

# set minimum version
cmake_minimum_required(VERSION 2.6.0)

if(COMMAND cmake_policy)
	cmake_policy(SET CMP0005 OLD)
endif(COMMAND cmake_policy)

set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true)

# use our own version of FindBoost.cmake and other Find* scripts
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

find_package(SDL 1.2.7 REQUIRED)
find_package(Boost 1.36 REQUIRED COMPONENTS iostreams program_options regex system)

# no, gettext executables are not required when NLS is deactivated
find_package(Gettext)
# yes, libintl is *required* even when NLS is deactivated (this is to compile
# src/gettext.cpp since it includes libintl.h)
find_package(Libintl REQUIRED)

find_package(X11)

if(NOT MSVC)
	#needed to get some SDL defines in... (as of rev31694 -D_GNU_SOURCE=1 is required!)
	set(SDL_CONFIG "sdl-config" CACHE STRING "Path to sdl-config script")
	exec_program(${SDL_CONFIG} ARGS "--cflags" OUTPUT_VARIABLE SDL_CFLAGS)
	add_definitions(${SDL_CFLAGS})

	# Use the safer `mkstemp' instead of `tmpnam' on POSIX systems.
	add_definitions(-DLUA_USE_POSIX)
endif(NOT MSVC)

if(MSVC)
	add_definitions(-D_SCL_SECURE_NO_WARNINGS)
	add_definitions(-D_CRT_SECURE_NO_WARNINGS)
endif(MSVC)

#check for some compiler/arch specific things and export defines accordingly...
include(SearchForStuff)

#
# Options
#

#Path options
set(BINDIR "bin" CACHE STRING "Where to install binaries")
set(DATAROOTDIR "${CMAKE_INSTALL_PREFIX}/share" CACHE STRING "Sets the root of data directories to a non-default location")
set(DOCDIR "${DATAROOTDIR}/doc/wesnoth" CACHE STRING "Sets the doc directory to a non-default location.")
set(MANDIR "${DATAROOTDIR}/man" CACHE STRING "Where to install manpages")
set(DATADIRNAME "wesnoth" CACHE STRING "change the name of the directory for the read-only architecture-independent game data")
set(EXECUTABLE_OUTPUT_PATH "${CMAKE_BINARY_DIR}" CACHE STRING "change the dir where binaries are placed right at compile time")
set(LOCALEDIR "translations" CACHE STRING "change the name of the locale data directory to a non-default name")
set(PREFERENCES_DIR "" CACHE STRING "Use a non-default preferences directory (.wesnoth on unix)")

#Game options
option(ENABLE_FRIBIDI "Enable FriBIDi support" ON)

#server options
set(SERVER_UID "" CACHE STRING "User id of the user who runs wesnothd")
set(SERVER_GID "" CACHE STRING "Group id of the user who runs wesnothd")
set(FIFO_DIR "/var/run/wesnothd" CACHE STRING "Directory for the wesnothd fifo socket file")

#build options
option(ENABLE_GAME "Enable compilation of the game" ON)
option(ENABLE_CAMPAIGN_SERVER "Enable compilation of campaign server")
option(ENABLE_SERVER "Enable compilation of server" ON)
option(ENABLE_TOOLS "Enable building and installation of tools for artists and WML maintainers")
option(ENABLE_TESTS "Build unit tests")
option(ENABLE_NLS "Enable building of translations" ON)
option(ENABLE_POOL_ALLOC "Enable custom pool malloc" OFF)
option(ENABLE_LOW_MEM "Reduce memory usage by removing extra functionality" OFF)
option(ENABLE_OMP "Enables OpenMP, and has additional dependencies" OFF)

if(UNIX AND NOT APPLE AND NOT CYGWIN)
	option(ENABLE_DESKTOP_ENTRY "enable installation of desktop entry files" ON)
	set(ICONDIR "${DATAROOTDIR}/pixmaps" CACHE STRING "Sets the icon directory for desktop entry to a non-default location.")
	set(DESKTOPDIR "${DATAROOTDIR}/applications/" CACHE STRING "Sets the desktop file directory for desktop entry to a non-default location.")
endif(UNIX AND NOT APPLE AND NOT CYGWIN)

option(ENABLE_STRICT_COMPILATION "Sets the strict compilation mode" ON)
option(ENABLE_DEBUG_WINDOW_LAYOUT "Add the debug option to allow the generation of debug layout files in dot format" OFF)
option ( USE_ANA_NETWORK "Compile network module using ana" OFF )
option(ENABLE_DESIGN_DOCUMENTS "Enables the generation of design documents, and has additional dependencies" OFF)

#misc options
if(NOT MSVC)
	# Pot updates don't work at Windows so no reason to even try
	option(ENABLE_POT_UPDATE_TARGET "Enables the tools to update the pot files and manuals. This target has extra dependencies." OFF)
endif(NOT MSVC)

if(UNIX AND NOT APPLE AND NOT CYGWIN)
	option(ENABLE_NOTIFICATIONS "Enable Window manager notification messages" ON)
endif(UNIX AND NOT APPLE AND NOT CYGWIN)

set(BINARY_SUFFIX "" CACHE STRING "Suffix behind all binaries")
set(BINARY_PREFIX "" CACHE STRING "Prefix in front of all binaries")

#
# Handle options (set paths/definitions/etc...)
#

if(CMAKE_COMPILER_IS_GNUCXX)
	# Set our own default flags at first run.
	if(NOT CONFIGURED)

		if(ENABLE_STRICT_COMPILATION)
			# The current unit test code breaks strict aliasing with g++ 4.4.
			set(STRICT_FLAGS "-Werror -Wno-strict-aliasing")
		else(ENABLE_STRICT_COMPILATION)
			set(STRICT_FLAGS "")
		endif(ENABLE_STRICT_COMPILATION)

		# Strict compilation for C files is disabled until somebody wants to clean them.
		set(CMAKE_C_FLAGS "-O2 -W -Wall -ansi $ENV{CFLAGS}"
				CACHE STRING "Flags used by the C compiler during normal builds." FORCE)
		set(CMAKE_C_FLAGS_DEBUG "-O0 -DDEBUG -ggdb3 -W -Wall -ansi $ENV{CFLAGS}"
				CACHE STRING "Flags used by the C compiler during debug builds." FORCE)
		set(CMAKE_C_FLAGS_RELEASE "-O3 -DNDEBUG -W -Wall -ansi $ENV{CFLAGS} -Wno-unused"
				CACHE STRING "Flags used by the C compiler during release builds." FORCE)

		set(CMAKE_CXX_FLAGS "-O2 -W -Wall -std=c++98 ${STRICT_FLAGS} $ENV{CXXFLAGS}"
				CACHE STRING "Flags used by the CXX compiler during normal builds." FORCE)
		set(CMAKE_CXX_FLAGS_DEBUG "-O0 -DDEBUG -ggdb3 -W -Wall -std=c++98 ${STRICT_FLAGS} $ENV{CXXFLAGS}"
				CACHE STRING "Flags used by the CXX compiler during debug builds." FORCE)
		set(CMAKE_CXX_FLAGS_RELEASE "-O3 -DNDEBUG -W -Wall -std=c++98 ${STRICT_FLAGS} $ENV{CXXFLAGS} -Wno-unused"
				CACHE STRING "Flags used by the CXX compiler during release builds." FORCE)

	endif(NOT CONFIGURED)

endif(CMAKE_COMPILER_IS_GNUCXX)

if(UNIX AND NOT CMAKE_COMPILER_IS_GNUCXX)
	# Assume the compiler is the clang compiler.
	set(CMAKE_EXE_LINKER_FLAGS "-lstdc++ -lm ${CMAKE_EXE_LINKER_FLAGS}")
endif(UNIX AND NOT CMAKE_COMPILER_IS_GNUCXX)

# compose datadir path of datarootdir and datadirname
set(DATADIR ${DATAROOTDIR}/${DATADIRNAME})

if(NOT WIN32)
	add_definitions(-DWESNOTH_PATH=\\\"${DATADIR}\\\")
endif(NOT WIN32)

if(NOT ENABLE_POOL_ALLOC OR WIN32)
	add_definitions(-DDISABLE_POOL_ALLOC)
endif(NOT ENABLE_POOL_ALLOC OR WIN32)

if(X11_FOUND)
	add_definitions(-D_X11)
endif(X11_FOUND)

add_definitions(-DLOCALEDIR=\\\"${LOCALEDIR}\\\")

# When the path starts with a / on a Unix system it's an absolute path.
# This means that on Windows the path used is always relative.
if(LOCALEDIR MATCHES "^/")
	add_definitions(-DHAS_RELATIVE_LOCALEDIR=0)
	set(LOCALE_INSTALL ${LOCALEDIR})
else(LOCALEDIR MATCHES "^/")
	add_definitions(-DHAS_RELATIVE_LOCALEDIR=1)
	set(LOCALE_INSTALL ${DATADIR}/${LOCALEDIR})
endif(LOCALEDIR MATCHES "^/")

add_definitions(-DFIFODIR=\\\"${FIFO_DIR}\\\")

if(PREFERENCES_DIR)
	add_definitions(-DPREFERENCES_DIR=\\\"${PREFERENCES_DIR}\\\")
endif(PREFERENCES_DIR)

if(ENABLE_LOW_MEM)
	add_definitions(-DLOW_MEM)
endif(ENABLE_LOW_MEM)

if(ENABLE_OMP)
	find_package(OpenMP REQUIRED)
	set(CMAKE_C_FLAGS "${OpenMP_C_FLAGS} ${CMAKE_C_FLAGS}")
	set(CMAKE_CXX_FLAGS "${OpenMP_CXX_FLAGS} ${CMAKE_C_FLAGS}")
endif(ENABLE_OMP)

if(ENABLE_DEBUG_WINDOW_LAYOUT)
	add_definitions(-DDEBUG_WINDOW_LAYOUT_GRAPHS)
endif(ENABLE_DEBUG_WINDOW_LAYOUT)

#
# Libraries that are only required by some targets
#

if(ENABLE_TOOLS OR ENABLE_GAME OR ENABLE_TESTS)
	find_package( SDL_image 1.2 REQUIRED )
endif(ENABLE_TOOLS OR ENABLE_GAME OR ENABLE_TESTS)
if(ENABLE_GAME OR ENABLE_TESTS)
	find_package( SDL_mixer 1.2 REQUIRED )
	find_package( SDL_ttf 2.0.8 REQUIRED )

	if(NOT MSVC)
		find_package( PkgConfig REQUIRED )
		pkg_check_modules( PANGOCAIRO REQUIRED pangocairo>=1.14.8 )
		pkg_check_modules( FONTCONFIG REQUIRED fontconfig>=2.4.1 )
	endif(NOT MSVC)

endif(ENABLE_GAME OR ENABLE_TESTS)
if(ENABLE_GAME OR ENABLE_SERVER OR ENABLE_CAMPAIGN_SERVER OR ENABLE_TESTS)
	find_package( SDL_net REQUIRED )
endif(ENABLE_GAME OR ENABLE_SERVER OR ENABLE_CAMPAIGN_SERVER OR ENABLE_TESTS)
if(ENABLE_TOOLS)
	find_package( ZLIB REQUIRED )
	find_package( PNG REQUIRED )
endif(ENABLE_TOOLS)
if(ENABLE_TESTS)
	find_package( Boost 1.36 REQUIRED COMPONENTS unit_test_framework )
endif(ENABLE_TESTS)
if(ENABLE_GAME)
	find_package( FriBiDi )
	if(ENABLE_FRIBIDI AND FRIBIDI_LIBRARIES)
		add_definitions(-DHAVE_FRIBIDI)
	elseif(ENABLE_FRIBIDI AND NOT FRIBIDI_LIBRARIES)
		message("Could not find FriBiDi. Disabling FriBiDi support.")
	endif()

	if(ENABLE_NOTIFICATIONS)
		pkg_check_modules(LIBDBUS dbus-1)
		if(LIBDBUS_FOUND)
			add_definitions(-DHAVE_LIBDBUS)
		else(LIBDBUS_FOUND)
			message("Could not find dbus-1, Disabling notification support.")
		endif(LIBDBUS_FOUND)
	endif(ENABLE_NOTIFICATIONS)

endif(ENABLE_GAME)

if(ENABLE_POT_UPDATE_TARGET)
	find_package(TranslationTools REQUIRED)
endif(ENABLE_POT_UPDATE_TARGET)

# get languages
file(READ po/LINGUAS LINGUAS)
string(REPLACE "\n" "" LINGUAS ${LINGUAS})
separate_arguments(LINGUAS)

#
# Include subdirectories
#

add_subdirectory(doc)

if(GETTEXT_FOUND AND ENABLE_NLS)
	add_subdirectory(po)
endif (GETTEXT_FOUND AND ENABLE_NLS)

add_subdirectory(src)

#
# Install files
#
install(DIRECTORY data fonts images sounds DESTINATION ${DATADIR} USE_SOURCE_PERMISSIONS PATTERN ".svn" EXCLUDE )


#
# Install desktop file so wesnoth appears in the application start menu with an icon
# TODO: string replacement to have the real binary name in does not work atm, because in the Categories= block semicolons are lost...
#
if(ENABLE_DESKTOP_ENTRY AND ENABLE_GAME)
	# do some crude string replacing to have the real binary name in the .desktop file (read in original .desktop file, replace the Exec= line with the correct value and output the generated file)
	#  file(READ icons/wesnoth.desktop wesnoth-desktop-orig)
	#string(REGEX REPLACE "(\nName.*=.*)\n" "\\1 (${BINARY_SUFFIX})\n" wesnoth-desktop-modified ${wesnoth-desktop-orig} )
	#  string(REPLACE "Exec=wesnoth" "Exec=${BINARY_PREFIX}wesnoth${BINARY_SUFFIX}" wesnoth-desktop-modified ${wesnoth-desktop-orig} )
	#  file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/${BINARY_PREFIX}wesnoth${BINARY_SUFFIX}.desktop ${wesnoth-desktop-modified} )

	#execute_process(COMMAND sed "-i" "'s/^\(Name.*=.*\)$/\1TEST/g'" ${CMAKE_CURRENT_BINARY_DIR}/${BINARY_PREFIX}wesnoth${BINARY_SUFFIX}.desktop )
	#exec_program(sed ARGS "-i" "'s/^\(Name.*=.*\)$/\1TEST/g'" ${CMAKE_CURRENT_BINARY_DIR}/${BINARY_PREFIX}wesnoth${BINARY_SUFFIX}.desktop )
	# install the generated .desktop file
	#  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BINARY_PREFIX}wesnoth${BINARY_SUFFIX}.desktop DESTINATION ${DESKTOPDIR} )
	install(FILES icons/wesnoth.desktop DESTINATION ${DESKTOPDIR} )
	install(FILES icons/wesnoth-icon.png DESTINATION ${ICONDIR} )

	# do some crude string replacing to have the real binary name in the .desktop file (read in original .desktop file, replace the Exec= line with the correct value and output the generated file)
	#    file(READ icons/wesnoth_editor.desktop wesnoth-editor-desktop-orig)
	#    string(REPLACE "Exec=wesnoth -e" "Exec=${BINARY_PREFIX}wesnoth${BINARY_SUFFIX} -e" wesnoth-editor-desktop-modified ${wesnoth-editor-desktop-orig} )
	#    file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/${BINARY_PREFIX}wesnoth_editor${BINARY_SUFFIX}.desktop ${wesnoth-editor-desktop-modified} )
	# install the generated .desktop file
	#    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BINARY_PREFIX}wesnoth_editor${BINARY_SUFFIX}.desktop DESTINATION ${DESKTOPDIR} )
	install(FILES icons/wesnoth_editor.desktop DESTINATION ${DESKTOPDIR} )

=== src/ana/test/CMakeLists.txt ===
# $Id: CMakeLists.txt 43456 2010-06-15 20:04:14Z billynux $

find_package(SDL_net REQUIRED)

include_directories( ../api )

add_executable( sdl_server sdl_server.cpp )

target_link_libraries( sdl_server ${SDLNET_LIBRARY} )

add_executable( ana_client ana_client.cpp )

target_link_libraries( ana_client ana )

=== debian/changelog ===
wesnoth-1.10 (1:1.10.3-3+deb7u2) wheezy; urgency=medium

  * Security fix: Disallowed inclusion of .pbl files from WML, independent of
    extension case (CVE-2015-5069, CVE-2015-5070).

 -- Vincent Cheng <vcheng@debian.org>  Wed, 01 Jul 2015 13:30:12 -0700

wesnoth-1.10 (1:1.10.3-3+deb7u1) wheezy-security; urgency=high

  * Pull af61f9fd from upstream to fix "Private file disclosure through
    get_wml_location()" (CVE-2015-0844)

 -- Rhonda D'Vine <rhonda@debian.org>  Wed, 08 Apr 2015 11:05:06 +0200

wesnoth-1.10 (1:1.10.3-3) unstable; urgency=low

  * Team upload.
  * Revert /usr/share/doc/wesnoth back into a symlink. (Closes: #688712)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 21 Nov 2012 23:55:27 -0800

wesnoth-1.10 (1:1.10.3-2) unstable; urgency=low

  [ Vincent Cheng ]
  * Fix broken font symlink in debian/rules. (closes: #681556)

 -- Gerfried Fuchs <rhonda@debian.org>  Sun, 02 Sep 2012 13:11:51 +0200

wesnoth-1.10 (1:1.10.3-1) unstable; urgency=low

  * New upstream stable release (closes: #676460)
  * Remove divert handling which was for wesnoth 1.6 (LP: #999378)
  * Update package descriptions with data from campaigns (closes: #675170)
  * Update lintian overrides files.
  * Get rid of wesnoth-all package.

 -- Gerfried Fuchs <rhonda@debian.org>  Fri, 08 Jun 2012 01:04:39 +0200

=== debian/control ===
Source: wesnoth-1.10
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), libsdl-image1.2-dev, libfreetype6-dev,
  libsdl-mixer1.2-dev, libsdl-net1.2-dev, libfribidi-dev, libsdl1.2-dev,
  libsdl-ttf2.0-dev (>= 2.0.8), python-support, libdbus-1-dev,
  libboost-iostreams-dev, libboost-test-dev, libboost-regex-dev,
  libboost-serialization-dev, libboost-system-dev, libboost-thread-dev,
  libboost-program-options-dev,
  libpango1.0-dev, cmake (>= 2.6)
Standards-Version: 3.9.3
Uploaders: Rhonda D'Vine <rhonda@debian.org>
Homepage: http://wesnoth.org/
Vcs-Git: git://git.debian.org/git/pkg-games/wesnoth.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/wesnoth.git;a=summary

Package: wesnoth-1.10-data
Architecture: all
Depends: ${misc:Depends}, ttf-dejavu
Recommends: fonts-droid
Suggests: wesnoth-1.10-music
Description: data files for Wesnoth (branch 1.10)
 This package contains the sound files and graphics for Wesnoth. It is required
 for being able to play wesnoth or create maps with the editor.
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.10-core
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
  wesnoth-1.10-data (= ${source:Version})
Suggests: wesnoth
Description: fantasy turn-based strategy game (branch 1.10)
 This package contains the main program for wesnoth. It can be used to play
 multiplayer games.  If you want to play campaigns you will have to install
 them individually, but if you prefer to have all the official campaigns
 installed please be advised to install the wesnoth-1.10 package which depends
 on all of them.
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-core
Architecture: all
Depends: ${misc:Depends}, wesnoth-1.10-core (>= ${binary:Version}),
  wesnoth-1.10-data (= ${source:Version})
Suggests: wesnoth
Description: fantasy turn-based strategy game (metapackage)
 This metapackage pulls in the core wesnoth package which allows you to play
 using the latest stable version.
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.10-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, wesnoth-1.10-core (= ${binary:Version}),
  wesnoth-1.10-data (= ${source:Version})
Description: fantasy turn-based strategy game (debugging symbols for branch 1.10)
 This package contains the debugging symbols for the wesnoth binaries.
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.10
Architecture: all
Depends: ${misc:Depends}, wesnoth-1.10-core (>= ${binary:Version}),
  wesnoth-1.10-core (<< ${binary:Version}.~),
  wesnoth-1.10-data (= ${source:Version}),
  wesnoth-1.10-httt (= ${source:Version}),
  wesnoth-1.10-tsg (= ${source:Version}),
  wesnoth-1.10-trow (= ${source:Version}),
  wesnoth-1.10-ttb (= ${source:Version}),
  wesnoth-1.10-ei (= ${source:Version}),
  wesnoth-1.10-utbs (= ${source:Version}),
  wesnoth-1.10-did (= ${source:Version}),
  wesnoth-1.10-nr (= ${source:Version}),
  wesnoth-1.10-sof (= ${source:Version}),
  wesnoth-1.10-sotbe (= ${source:Version}),
  wesnoth-1.10-l (= ${source:Version}),
  wesnoth-1.10-aoi (= ${source:Version}),
  wesnoth-1.10-thot (= ${source:Version}),
  wesnoth-1.10-low (= ${source:Version}),
  wesnoth-1.10-dm (= ${source:Version}),
  wesnoth-1.10-dw (= ${source:Version})
Recommends: wesnoth-1.10-music (= ${source:Version})
Description: fantasy turn-based strategy game - complete suite (branch 1.10)
 This package depends on the complete set of packages built from the wesnoth
 source package but the server (which can be found in the
 wesnoth-1.10-server package), most helpful if you always
 want to have all the official campaigns installed.  If you only want to play
 over the network with other players or want to play only a few campaigns you
 just need to install the wesnoth-1.10-core package and
 the wanted campaign packages.
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth
Architecture: all
Depends: ${misc:Depends}, wesnoth-1.10 (>= ${binary:Version}),
  wesnoth-1.10-data (= ${source:Version})
Description: fantasy turn-based strategy game - complete suite (metapackage)
 This metapackage pulls in the complete set of the latest stable version, most
 helpful if you always want to have all the official campaigns installed. If
 you only want to play over the network with other players or want to play only
 a few campaigns you just need to install the wesnoth-core package and the
 wanted campaign packages.
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.10-music
Architecture: all
Depends: ${misc:Depends}
Description: music files for Wesnoth (branch 1.10)
 This package contains the music files for Wesnoth. It is not required but
 gives nice background music and encouraged.
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-music
Architecture: all
Depends: ${misc:Depends}, wesnoth-1.10-music (= ${source:Version}),
  wesnoth-1.10-data (= ${source:Version})
Description: music files for Wesnoth (metapackage)
 This metapackage pulls in the music package for use with the latest stable
 version of wesnoth.
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.10-server
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, lsb-base
Description: multiplayer network server for Wesnoth (branch 1.10)
 This package contains the multiplayer network server for Wesnoth.  You need it
 if you want to host multiplayer games on your computer and don't want to use
 the official servers.
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.10-tools
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
  wesnoth-1.10-data (= ${source:Version})
Enhances: wesnoth-1.10-core
Description: tools for campaign developers for Wesnoth (branch 1.10)
 This package contains various tools for Wesnoth that are especially useful for
 campaign developers, including but not limited to scripts supporting the
 generation and checking of WML (Wesnoth Markup Language).  You can find them
 in the directory /usr/share/games/wesnoth/1.10/data/tools
 after installation of the package.
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.10-httt
Depends: ${misc:Depends}, wesnoth-1.10-core (>= ${wesnoth:Min-Version}),
  wesnoth-1.10-core (<< ${wesnoth:Max-Version})
Architecture: all
Description: "Heir to the Throne" official campaign for Wesnoth (branch 1.10)
 This package contains the "Heir to the Throne" campaign for Wesnoth:
 "Fight to regain the throne of Wesnoth, of which you are the legitimate
 heir."
 (Novice level, 23 scenarios.)
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.10-tsg
Depends: ${misc:Depends}, wesnoth-1.10-core (>= ${wesnoth:Min-Version}),
  wesnoth-1.10-core (<< ${wesnoth:Max-Version})
Architecture: all
Description: "The South Guard" official campaign for Wesnoth (branch 1.10)
 This package contains the "The South Guard" campaign for Wesnoth:
 "A young Knight, Deoran, is dispatched to take command of the South Guard...
 Note: This campaign is designed as an introduction to Wesnoth. The 'Civilian'
 difficulty level is aimed at first-time players."
 (Novice level, 9 scenarios.)
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.10-trow
Depends: ${misc:Depends}, wesnoth-1.10-core (>= ${wesnoth:Min-Version}),
  wesnoth-1.10-core (<< ${wesnoth:Max-Version})
Architecture: all
Description: "The Rise of Wesnoth" official campaign for Wesnoth (branch 1.10)
 This package contains the "The Rise of Wesnoth" campaign for Wesnoth:
 "Lead Prince Haldric through the destruction of the Green Isle and across the
 Ocean to establish the very kingdom of Wesnoth itself. The confrontation with
 Lich-Lord Jevyan awaits..."
 (Intermediate level, 24 scenarios.)
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.10-ttb
Depends: ${misc:Depends}, wesnoth-1.10-core (>= ${wesnoth:Min-Version}),
  wesnoth-1.10-core (<< ${wesnoth:Max-Version})
Architecture: all
Description: "A Tale of Two Brothers" official campaign for Wesnoth (branch 1.10)
 This package contains the "A Tale of Two Brothers" campaign for Wesnoth:
 "An evil mage is threatening the small village of Maghre and its inhabitants.
 The village’s mage sends to his warrior brother for help, but not all goes as
 planned. Can you help?"
 (Novice level, 4 scenarios.)
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.10-ei
Depends: ${misc:Depends}, wesnoth-1.10-core (>= ${wesnoth:Min-Version}),
  wesnoth-1.10-core (<< ${wesnoth:Max-Version})
Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for wesnoth
# copyright 2007-2011 by Gerfried Fuchs <rhonda@debian.org>
# Licenced under WTFPLv2

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -g
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif


# calculate the version strings
MAJOR_VERSION = $(shell dpkg-parsechangelog | grep "^Version:" | cut -d" " -f2 | cut -d. -f1)
STRIP_MAJOR   = $(shell echo $(MAJOR_VERSION) | rev | cut -d: -f1 | rev)
MINOR_VERSION = $(shell dpkg-parsechangelog | grep "^Version:" | cut -d" " -f2 | cut -d. -f2 | cut -d- -f1 | sed -e 's/[^0-9]//g')
ISDEV_VERSION = $(shell echo $$(( $(MINOR_VERSION) % 2 )) )
UPSTR_VERSION =  $(shell dpkg-parsechangelog | grep "^Version:" | cut -d" " -f2 | rev | cut -d- -f2 | rev)

## choose correct MIN_VERSION/MAX_VERSION depending on ISDEV_VERSION
ifeq ($(ISDEV_VERSION), 1)
	MIN_VERSION = $(UPSTR_VERSION)
	MAX_VERSION = $(UPSTR_VERSION).~
else
	MIN_VERSION = $(MAJOR_VERSION).$(MINOR_VERSION)
	MAX_VERSION = $(MAJOR_VERSION).$(shell echo $$(( $(MINOR_VERSION) + 1 )) )
endif

## used for package name extension
BRANCH_VERSION = $(STRIP_MAJOR).$(MINOR_VERSION)

CONFIGURE_SWITCHES = --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --disable-strict-compilation --disable-maintainer-mode --disable-rpath --prefix=/usr --mandir=\$${prefix}/share/man --bindir=\$${prefix}/games --with-datadir-name=wesnoth/$(BRANCH_VERSION) --with-localedir=\$${prefix}/share/games/wesnoth/$(BRANCH_VERSION)/locale --with-fifodir=/var/run/wesnothd --datadir=\$${prefix}/share/games --enable-server --with-fribidi --enable-python-install

CMAKE_SWITCHES = -DBINARY_SUFFIX="-$(BRANCH_VERSION)" -DCMAKE_INSTALL_PREFIX="/usr/" -DBINDIR="/usr/games" -DDATAROOTDIR="/usr/share/games" -DDATADIRNAME="wesnoth/$(BRANCH_VERSION)" -DDESKTOPDIR="/usr/share/applications" -DDOCDIR="/usr/share/doc/wesnoth-$(BRANCH_VERSION)-data" -DLOCALEDIR="locale" -DMANDIR="/usr/share/man" -DUSE_ANA_NETWORK=OFF -DCMAKE_VERBOSE_MAKEFILE=on -DENABLE_OMP=ON


clean:
	dh_testdir
	dh_testroot
	rm -f debian/stamp-*
	# Add here commands to clean up after the build process.
	rm -rf build locale # locale doesn't get generated inside build ...
	dh_clean


configure: debian/stamp-configure
debian/stamp-configure:
	mkdir -p build
	cd build && \
		cmake .. $(CMAKE_SWITCHES)
	# CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" ./configure $(CONFIGURE_SWITCHES)
	touch $@


build: build-arch build-indep
build-arch: debian/stamp-build
build-indep: debian/stamp-build

debian/stamp-build: debian/stamp-configure
	$(MAKE) -C build
	touch $@


install: debian/stamp-install
debian/stamp-install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) -C build DESTDIR=$(CURDIR)/debian/tmp install

	cd $(CURDIR)/debian/tmp/usr/share/games/wesnoth/$(BRANCH_VERSION)/data/tools \
		&& chmod +x extractbindings unit_tree/TeamColorizer \
		wesnoth/wescamp.py wesnoth/wmldata.py wesnoth/wmlparser.py \
		wmlindent wmlflip wmllint wmlscope wesnoth_addon_manager \
		wmlvalidator hexometer/hexometer wmlxgettext imgcheck

	dh_install

	touch $@



# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs changelog
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_lintian
	dh_pysupport
	dh_installinit -u 'stop 20 0 1 2 3 4 5 6 .'
	dh_installman
	dh_strip --dbg-package=wesnoth-$(BRANCH_VERSION)-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- \
		-Vwesnoth:Min-Version=$(MIN_VERSION) \
		-Vwesnoth:Max-Version=$(MAX_VERSION) \
		-Vwesnoth:Branch-Version=$(BRANCH_VERSION)
	dh_md5sums
	dh_builddeb


# Build architecture independant packages using the common target.
binary-indep: install
	# workaround for dh_link (mis)behavior, see BTS#445550
	for i in ttf-dejavu/DejaVuSans.ttf droid/DroidSansJapanese.ttf; \
		do ln -s /usr/share/fonts/truetype/$$i \
	       	debian/wesnoth-$(BRANCH_VERSION)-data/usr/share/games/wesnoth/$(BRANCH_VERSION)/fonts/`basename $$i`; \
		done
	ln -s /usr/share/fonts/truetype/droid/DroidSansFallbackFull.ttf \
	       	debian/wesnoth-$(BRANCH_VERSION)-data/usr/share/games/wesnoth/$(BRANCH_VERSION)/fonts/DroidSansFallbackFull.ttf

	# rename icons versioned

	mv debian/wesnoth-$(BRANCH_VERSION)-data/usr/share/icons/hicolor/64x64/apps/wesnoth-icon.png \
		debian/wesnoth-$(BRANCH_VERSION)-data/usr/share/icons/hicolor/64x64/apps/wesnoth-$(BRANCH_VERSION)-icon.png
	mv debian/wesnoth-$(BRANCH_VERSION)-data/usr/share/icons/hicolor/64x64/apps/wesnoth_editor-icon.png \
		debian/wesnoth-$(BRANCH_VERSION)-data/usr/share/icons/hicolor/64x64/apps/wesnoth-$(BRANCH_VERSION)_editor-icon.png

	# /usr/share/doc symlinks
	for i in wesnoth wesnoth-core wesnoth-music wesnoth-$(BRANCH_VERSION); do \
		install -p -d -m755 debian/$$i/usr/share/doc; \
		ln -s wesnoth-$(BRANCH_VERSION)-data debian/$$i/usr/share/doc/$$i; \
		done

	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: install
	# manpage symlinks for old binaries
	for i in debian/wesnoth-$(BRANCH_VERSION)-core/usr/share/man/*/man6/wesnoth.6; do \
		ln -s wesnoth-$(BRANCH_VERSION).6.gz \
			`dirname $$i`/wesnoth-$(BRANCH_VERSION)-nolog.6.gz; \
		ln -s wesnoth-$(BRANCH_VERSION).6.gz \
			`dirname $$i`/wesnoth-$(BRANCH_VERSION)-smallgui.6.gz; \
		ln -s wesnoth-$(BRANCH_VERSION).6.gz \
			`dirname $$i`/wesnoth-$(BRANCH_VERSION)_editor.6.gz; \
		done
	ln -s wesnoth-$(BRANCH_VERSION).6.gz \
		debian/wesnoth-$(BRANCH_VERSION)-core/usr/share/man/man6/wesnoth-$(BRANCH_VERSION)-nolog.6.gz
	ln -s wesnoth-$(BRANCH_VERSION).6.gz \
		debian/wesnoth-$(BRANCH_VERSION)-core/usr/share/man/man6/wesnoth-$(BRANCH_VERSION)-smallgui.6.gz
	ln -s wesnoth-$(BRANCH_VERSION).6.gz \
		debian/wesnoth-$(BRANCH_VERSION)-core/usr/share/man/man6/wesnoth-$(BRANCH_VERSION)_editor.6.gz

	# move the manpages to their proper name
	for i in debian/wesnoth-$(BRANCH_VERSION)-core/usr/share/man/man6/wesnoth.6 \
		debian/wesnoth-$(BRANCH_VERSION)-core/usr/share/man/*/man6/wesnoth.6; do \
		mv $$i $$(echo $$i | sed -e 's/wesnoth\.6/wesnoth-$(BRANCH_VERSION).6/'); \
		done
	for i in debian/wesnoth-$(BRANCH_VERSION)-server/usr/share/man/man6/wesnothd.6 \
		debian/wesnoth-$(BRANCH_VERSION)-server/usr/share/man/*/man6/wesnothd.6; do \
		mv $$i $$(echo $$i | sed -e 's/wesnothd\.6/wesnothd-$(BRANCH_VERSION).6/'); \
		done

	# move the desktop files to their proper name
	mv debian/wesnoth-$(BRANCH_VERSION)-core/usr/share/applications/wesnoth.desktop \
		debian/wesnoth-$(BRANCH_VERSION)-core/usr/share/applications/wesnoth-$(BRANCH_VERSION).desktop
	mv debian/wesnoth-$(BRANCH_VERSION)-core/usr/share/applications/wesnoth_editor.desktop \
		debian/wesnoth-$(BRANCH_VERSION)-core/usr/share/applications/wesnoth-$(BRANCH_VERSION)_editor.desktop
	# add branch name to desktop entries
	sed -i -e "/^Name/ s/$$/ ($(BRANCH_VERSION))/" \
		debian/wesnoth-$(BRANCH_VERSION)-core/usr/share/applications/*.desktop


	# /usr/share/doc symlinks
	for i in wesnoth-$(BRANCH_VERSION)-core wesnoth-$(BRANCH_VERSION)-dbg; do \
		install -p -d -m755 debian/$$i/usr/share/doc; \
		ln -s wesnoth-$(BRANCH_VERSION)-data debian/$$i/usr/share/doc/$$i; \
		done

	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common


binary: binary-arch binary-indep

## wesnoth-1.10 1.10.4

=== debian/changelog ===
wesnoth-1.10 (1:1.10.4-1) experimental; urgency=low

  * New upstream stable release.
  * Remove the extra ln handling in debian/rules.

 -- Gerfried Fuchs <rhonda@debian.org>  Mon, 03 Sep 2012 12:49:56 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
   libboost-program-options-dev,
   libpango1.0-dev, cmake (>= 2.6)
 Standards-Version: 3.9.3
-Uploaders: Rhonda D'Vine <rhonda@debian.org>
+Uploaders: Gerfried Fuchs <rhonda@debian.org>
 Homepage: http://wesnoth.org/
 Vcs-Git: git://git.debian.org/git/pkg-games/wesnoth.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/wesnoth.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -129,12 +129,10 @@
 # Build architecture independant packages using the common target.
 binary-indep: install
 	# workaround for dh_link (mis)behavior, see BTS#445550
-	for i in ttf-dejavu/DejaVuSans.ttf droid/DroidSansJapanese.ttf; \
+	for i in ttf-dejavu/DejaVuSans.ttf droid/DroidSansJapanese.ttf droid/DroidSansFallbackFull.ttf; \
 		do ln -s /usr/share/fonts/truetype/$$i \
 	       	debian/wesnoth-$(BRANCH_VERSION)-data/usr/share/games/wesnoth/$(BRANCH_VERSION)/fonts/`basename $$i`; \
 		done
-	ln -s /usr/share/fonts/truetype/droid/DroidSansFallbackFull.ttf \
-	       	debian/wesnoth-$(BRANCH_VERSION)-data/usr/share/games/wesnoth/$(BRANCH_VERSION)/fonts/DroidSansFallbackFull.ttf
 
 	# rename icons versioned
 
@@ -144,7 +142,7 @@
 		debian/wesnoth-$(BRANCH_VERSION)-data/usr/share/icons/hicolor/64x64/apps/wesnoth-$(BRANCH_VERSION)_editor-icon.png
 
 	# /usr/share/doc symlinks
-	for i in wesnoth wesnoth-core wesnoth-music wesnoth-$(BRANCH_VERSION); do \
+	for i in wesnoth-$(BRANCH_VERSION); do \
 		install -p -d -m755 debian/$$i/usr/share/doc; \
 		ln -s wesnoth-$(BRANCH_VERSION)-data debian/$$i/usr/share/doc/$$i; \
 		done
@@ -199,3 +197,4 @@
 
 
 binary: binary-arch binary-indep
+.PHONY: clean configure build binary-indep binary-arch binary install patch unpatch

## wesnoth-1.10 1.10.5

=== debian/changelog ===
wesnoth-1.10 (1:1.10.5-1~ubuntu12.04.1) precise-backports; urgency=low

  * Rebuild for precise-backports (LP: #989801)

 -- Gerfried Fuchs <rhonda@ubuntu.com>  Wed, 20 Feb 2013 12:40:00 +0100

wesnoth-1.10 (1:1.10.5-1) experimental; urgency=low

  * Upload to experimental.
  * Add myself to Uploaders.
  * New upstream release.
  * Revert /usr/share/doc/wesnoth back into a symlink. (closes: #688712)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 23 Nov 2012 21:19:41 -0800

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
   libboost-program-options-dev,
   libpango1.0-dev, cmake (>= 2.6)
 Standards-Version: 3.9.3
-Uploaders: Gerfried Fuchs <rhonda@debian.org>
+Uploaders: Gerfried Fuchs <rhonda@debian.org>,
+  Vincent Cheng <Vincentc1208@gmail.com>
 Homepage: http://wesnoth.org/
 Vcs-Git: git://git.debian.org/git/pkg-games/wesnoth.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/wesnoth.git;a=summary

## wesnoth-1.10 1.10.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,8 @@
 
 # set minimum version
 cmake_minimum_required(VERSION 2.6.0)
+
+include(CheckCXXCompilerFlag)
 
 if(COMMAND cmake_policy)
 	cmake_policy(SET CMP0005 OLD)
@@ -108,6 +110,33 @@
 # Handle options (set paths/definitions/etc...)
 #
 
+# This macro checks whether a compiler supports a compiler flag.
+#
+# If the flag is supported the flag will be added to the target compiler flags.
+# GCC seems to be quite happy to accept flags it does not support when there is
+# a `no' in it e.g. -Wno-not_supported_flag but will fail to compile with
+# -Wnot_supported_flag. For that case all not-named parameters will be added to
+# the target instead.
+#
+# param target                    The variable to add the compiler flag to.
+# param flag                      The compiler flag to test.
+# param variable                  The test macro needs a variable to store the
+#                                 result of the test, this paramter holds that
+#                                 variable.
+# param ...                       If this variable is set it will be added to
+#                                 target instead of flag when the compiler
+#                                 supports flag.
+macro(check_compiler_has_flag target flag variable)
+	check_cxx_compiler_flag(${flag} ${variable})
+	if(${variable})
+		if(${ARGC} GREATER 3)
+			set(${target} "${${target}} ${ARGN}")
+		else(${ARGC} GREATER 3)
+			set(${target} "${${target}} ${flag}")
+		endif(${ARGC} GREATER 3)
+	endif(${variable})
+endmacro(check_compiler_has_flag)
+
 if(CMAKE_COMPILER_IS_GNUCXX)
 	# Set our own default flags at first run.
 	if(NOT CONFIGURED)
@@ -115,6 +144,20 @@
 		if(ENABLE_STRICT_COMPILATION)
 			# The current unit test code breaks strict aliasing with g++ 4.4.
 			set(STRICT_FLAGS "-Werror -Wno-strict-aliasing")
+
+			# This flag is/will be added in gcc-4.8 and fails with BOOST_STATIC_ASSERT
+			check_cxx_compiler_flag("-Wunused-local-typedefs" HAS_COMPILER_FLAG_WUNUSED_LOCAL_TYPEDEFS)
+			if(HAS_COMPILER_FLAG_WUNUSED_LOCAL_TYPEDEFS)
+				set(STRICT_FLAGS "${STRICT_FLAGS} -Wno-unused-local-typedefs")
+			endif(HAS_COMPILER_FLAG_WUNUSED_LOCAL_TYPEDEFS)
+
+			# This flag is/will be added in gcc-4.8 and fails with png in C++11 mode
+			check_compiler_has_flag(
+					STRICT_FLAGS
+					"-Wliteral-suffix"
+					HAS_COMPILER_FLAG_WLITERAL_SUFFIX
+					"-Wno-literal-suffix")
+
 		else(ENABLE_STRICT_COMPILATION)
 			set(STRICT_FLAGS "")
 		endif(ENABLE_STRICT_COMPILATION)
@@ -269,23 +312,3 @@
 # TODO: string replacement to have the real binary name in does not work atm, because in the Categories= block semicolons are lost...
 #
 if(ENABLE_DESKTOP_ENTRY AND ENABLE_GAME)
-	# do some crude string replacing to have the real binary name in the .desktop file (read in original .desktop file, replace the Exec= line with the correct value and output the generated file)
-	#  file(READ icons/wesnoth.desktop wesnoth-desktop-orig)
-	#string(REGEX REPLACE "(\nName.*=.*)\n" "\\1 (${BINARY_SUFFIX})\n" wesnoth-desktop-modified ${wesnoth-desktop-orig} )
-	#  string(REPLACE "Exec=wesnoth" "Exec=${BINARY_PREFIX}wesnoth${BINARY_SUFFIX}" wesnoth-desktop-modified ${wesnoth-desktop-orig} )
-	#  file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/${BINARY_PREFIX}wesnoth${BINARY_SUFFIX}.desktop ${wesnoth-desktop-modified} )
-
-	#execute_process(COMMAND sed "-i" "'s/^\(Name.*=.*\)$/\1TEST/g'" ${CMAKE_CURRENT_BINARY_DIR}/${BINARY_PREFIX}wesnoth${BINARY_SUFFIX}.desktop )
-	#exec_program(sed ARGS "-i" "'s/^\(Name.*=.*\)$/\1TEST/g'" ${CMAKE_CURRENT_BINARY_DIR}/${BINARY_PREFIX}wesnoth${BINARY_SUFFIX}.desktop )
-	# install the generated .desktop file
-	#  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BINARY_PREFIX}wesnoth${BINARY_SUFFIX}.desktop DESTINATION ${DESKTOPDIR} )
-	install(FILES icons/wesnoth.desktop DESTINATION ${DESKTOPDIR} )
-	install(FILES icons/wesnoth-icon.png DESTINATION ${ICONDIR} )
-
-	# do some crude string replacing to have the real binary name in the .desktop file (read in original .desktop file, replace the Exec= line with the correct value and output the generated file)
-	#    file(READ icons/wesnoth_editor.desktop wesnoth-editor-desktop-orig)
-	#    string(REPLACE "Exec=wesnoth -e" "Exec=${BINARY_PREFIX}wesnoth${BINARY_SUFFIX} -e" wesnoth-editor-desktop-modified ${wesnoth-editor-desktop-orig} )
-	#    file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/${BINARY_PREFIX}wesnoth_editor${BINARY_SUFFIX}.desktop ${wesnoth-editor-desktop-modified} )
-	# install the generated .desktop file
-	#    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BINARY_PREFIX}wesnoth_editor${BINARY_SUFFIX}.desktop DESTINATION ${DESKTOPDIR} )
-	install(FILES icons/wesnoth_editor.desktop DESTINATION ${DESKTOPDIR} )

=== debian/changelog ===
wesnoth-1.10 (1:1.10.6-2ubuntu1) saucy; urgency=low

  * Fix crash on start (LP: #1212896). 

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Thu, 15 Aug 2013 20:32:01 -0500

wesnoth-1.10 (1:1.10.6-2) unstable; urgency=low

  * Upload to unstable.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Mon, 06 May 2013 01:09:02 -0700

wesnoth-1.10 (1:1.10.6-1) experimental; urgency=low

  * New upstream stable release.
  * Enable build hardening.
  * Update lintian overrides.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 21 Mar 2013 22:29:33 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: wesnoth-1.10
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7), libsdl-image1.2-dev, libfreetype6-dev,
   libsdl-mixer1.2-dev, libsdl-net1.2-dev, libfribidi-dev, libsdl1.2-dev,
   libsdl-ttf2.0-dev (>= 2.0.8), python-support, libdbus-1-dev,
@@ -247,5 +248,3 @@
 
 Package: wesnoth-1.10-ei
 Depends: ${misc:Depends}, wesnoth-1.10-core (>= ${wesnoth:Min-Version}),
-  wesnoth-1.10-core (<< ${wesnoth:Max-Version})
-Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 
 CONFIGURE_SWITCHES = --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --disable-strict-compilation --disable-maintainer-mode --disable-rpath --prefix=/usr --mandir=\$${prefix}/share/man --bindir=\$${prefix}/games --with-datadir-name=wesnoth/$(BRANCH_VERSION) --with-localedir=\$${prefix}/share/games/wesnoth/$(BRANCH_VERSION)/locale --with-fifodir=/var/run/wesnothd --datadir=\$${prefix}/share/games --enable-server --with-fribidi --enable-python-install
 
-CMAKE_SWITCHES = -DBINARY_SUFFIX="-$(BRANCH_VERSION)" -DCMAKE_INSTALL_PREFIX="/usr/" -DBINDIR="/usr/games" -DDATAROOTDIR="/usr/share/games" -DDATADIRNAME="wesnoth/$(BRANCH_VERSION)" -DDESKTOPDIR="/usr/share/applications" -DDOCDIR="/usr/share/doc/wesnoth-$(BRANCH_VERSION)-data" -DLOCALEDIR="locale" -DMANDIR="/usr/share/man" -DUSE_ANA_NETWORK=OFF -DCMAKE_VERBOSE_MAKEFILE=on -DENABLE_OMP=ON
+CMAKE_SWITCHES = -DCXX_FLAGS_USER="$(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" -DCMAKE_EXE_LINKER_FLAGS="$(shell dpkg-buildflags --get LDFLAGS)" -DBINARY_SUFFIX="-$(BRANCH_VERSION)" -DCMAKE_INSTALL_PREFIX="/usr/" -DBINDIR="/usr/games" -DDATAROOTDIR="/usr/share/games" -DDATADIRNAME="wesnoth/$(BRANCH_VERSION)" -DDESKTOPDIR="/usr/share/applications" -DDOCDIR="/usr/share/doc/wesnoth-$(BRANCH_VERSION)-data" -DLOCALEDIR="locale" -DMANDIR="/usr/share/man" -DUSE_ANA_NETWORK=OFF -DCMAKE_VERBOSE_MAKEFILE=on -DENABLE_OMP=ON
 
 
 clean:
@@ -142,7 +142,7 @@
 		debian/wesnoth-$(BRANCH_VERSION)-data/usr/share/icons/hicolor/64x64/apps/wesnoth-$(BRANCH_VERSION)_editor-icon.png
 
 	# /usr/share/doc symlinks
-	for i in wesnoth-$(BRANCH_VERSION); do \
+	for i in wesnoth wesnoth-core wesnoth-music wesnoth-$(BRANCH_VERSION); do \
 		install -p -d -m755 debian/$$i/usr/share/doc; \
 		ln -s wesnoth-$(BRANCH_VERSION)-data debian/$$i/usr/share/doc/$$i; \
 		done
@@ -197,4 +197,3 @@
 
 
 binary: binary-arch binary-indep
-.PHONY: clean configure build binary-indep binary-arch binary install patch unpatch
